FreeCad

De Wiki Makilab
(Redirigé depuis FreeCAD)
Aller à : navigation, rechercher
Freecad

FreeCAD

Présentation

FreeCAD (à ne pas confondre avec freeCAD de Aik-Siong Koh) est un logiciel de modélisation 3D libre pour la CAO, IAO, PLM, orientée vers le génie mécanique et le design de produits, mais qui vise également d'autres disciplines, telles que l'architecture ou d'autres branches de l'ingénierie.

plus sur Wikipedia...

Installation

Le logiciel est librement téléchargeable sur le site de FreeCad

L'installation recommandée sous Linux est via une AppImage (paquet d'application compatible cross distribution). Pour l'installation, télécharger l'AppImage (fichier) et copier le dans le dossier Applications de votre répertoire home (il est possible que ce dossier n'existe pas encore).

Pour les utilisateurs Ubuntu la solution la plus simple est d'installer l'application "AppImageLauncher" via les commandes suivantes.

sudo add-apt-repository ppa:appimagelauncher-team/stable
sudo apt-get update
sudo apt-get install appimagelauncher

Dans le dossier home/Applications/, click droit sur l'App image et ouvrir avec AppImageLauncher. Ceci rendra l'AppImage exécutable et ajoutera un fichier .desktop à votre système, il sera disponible alors comme toutes autres applications.

Pour les autres distributions, se rendre dans le dossier Applications et rendre le fichier executable via la commande suivante.

chmod +x FreeCAD_x86_64.AppImage

Il suffit de lancer l'AppImage par la suite.

./FreeCAD_x86_64.AppImage

L'AppImage peut aussi se présenter sous un autre nom, comme ici en version v0.20 :

./FreeCAD-0.20.0-Linux-x86_64.AppImage

Tutoriels

Le site FreeCAD propose d'ailleurs toute une série de tutoriel à tester ici

Liste de tutoriels sélectionnés par le Makilab

Les fondamentaux

Quelques vidéos en français

Pour aller plus loin

Vidéos

Textes

Les exercices - fichiers et vidéos

Télécharger en ZIP tous les exercices de la formation

Les esquisses

Les corps 3D

Pour aller plus loin

Workbench

Il est possible d'étendre les fonctionnalités de FreeCad à l'aide de modules. Afin d'installer de nouveaux modules, il faut se rendre dans le menu Tools > Addon manager (v0.19).

Pour la v0.18, la manière de faire est indiquée sur le site FreeCAD:

Comment installer des ateliers supplémentaires

Les modules recommandés sont :

A2plus : réaliser des assemblages
LCInterlocking : réaliser des emboîtements à la découpeuse laser
Fasteners : réaliser des filets et pas de vis pour l'impression 3D
SheetMetal : concevoir et déplier des pièces de métal en tôlerie
FCGear : fabrication de différents types d'engrenages et vis sans fin

D'autres modules seront ajoutés à cette liste par la suite, voir la liste complète sur le site FreeCAD .

Macros

CircularText : créer une ligne de texte placée dans différentes orientations circulaires, notamment circonférentielle et hélicoïdale

https://wiki.freecadweb.org/Macro_FCCircularText/fr

Exporter vers la découpeuse laser

FreeCad permet d'exporter des DXF d'une multitudes de façons. Pour l'export vers du SVG, il faut toujours choisir Flattened SVG (*.svg) Prenons les deux solutions les plus simples:

  • A partir d'une sketch dans le Part Design
    • Sélectionner le sketch
    • File > Export > choisir Autodesk DXF 2D (*.dxf)
  • A partir d'une face dans le Part Design

Exporter normalement une face ne fonctionne pas comme prévu dans FreeCad et créera un nombre important de segments non désirables. La technique la plus efficace que nous ayons utilisé est de changer de workbench pour le Draft. Mais pour réaliser cette méthode vous aurez besoin de créer une macro pour aligner la vue courante à la face que vous voulez exporter avec le code ci-dessous:

# -*- coding: utf-8 -*-
# Set the current view perpendicular to the selected face
# Place la vue perpendiculairement a la face selectionnee
# 2013 Jonathan Wiedemann, 2016 Werner Mayer

from pivy import coin

def pointAt(normal, up):
    z = normal
    y = up
    x = y.cross(z)
    y = z.cross(x)
   
    rot = App.Matrix()
    rot.A11 = x.x
    rot.A21 = x.y
    rot.A31 = x.z
   
    rot.A12 = y.x
    rot.A22 = y.y
    rot.A32 = y.z
   
    rot.A13 = z.x
    rot.A23 = z.y
    rot.A33 = z.z

    return App.Placement(rot).Rotation

s=Gui.Selection.getSelectionEx()
obj=s[0]
faceSel = obj.SubObjects[0]
dir = faceSel.normalAt(0,0)
cam = FreeCADGui.ActiveDocument.ActiveView.getCameraNode()

if dir.z == 1 :
    rot = pointAt(dir, App.Vector(0.0,1.0,0.0))
elif dir.z == -1 :
    rot = pointAt(dir, App.Vector(0.0,1.0,0.0))
else :
    rot = pointAt(dir, App.Vector(0.0,0.0,1.0))

cam.orientation.setValue(rot.Q)
Gui.SendMsgToActiveView("ViewSelection")

Ensuite dans le workbench draft, sélectionner la face à exporter et lancer la macro. La vue devrait être maintenant perpendiculaire à la face sélectionnée. Maintenant dans le menu Drafting > Shape2DView. Le Shape devrait apparaitre dans l'arborescence. Vous pouvez le sélectionner et exporter en DXF via File > Export > choisir Autodesk DXF 2D (*.dxf)

Exporter vers une imprimante 3D

Pour générer un fichier STL, pour mémoire:

  • A partir d'un body dans le Part Design
    • Sélectionner le body
    • File > Export > choisir STL Mesh (*.stl *.ast)